Arrival (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: Arrival

Package edu.sc.seis.TauP

# Class Arrival

java.lang.Object
edu.sc.seis.TauP.Arrival

    public class Arrival
    extends java.lang.Object

convenience class for storing the parameters associated with a phase arrival.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static double` | `DtoR` |
  `protected static double` | `RtoD` |
  `protected static double` | `TWOPI` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Arrival​(SeismicPhase phase, double time, double dist, double rayParam, int rayParamIndex, java.lang.String name, java.lang.String puristName, double sourceDepth)` |
  `Arrival​(SeismicPhase phase, double time, double dist, double rayParam, int rayParamIndex, java.lang.String name, java.lang.String puristName, double sourceDepth, double takeoffAngle, double incidentAngle)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double` | `getDist()` | returns travel distance in radians
  `double` | `getDistDeg()` | returns travel distance in degrees.
  `java.time.Duration` | `getDuration()` |
  `TimeDist` | `getFirstPiercePoint​(double depth)` | finds the first pierce point at the given depth.
  `double` | `getIncidentAngle()` |
  `TimeDist` | `getLastPiercePoint​(double depth)` | finds the last pierce point at the given depth.
  `double` | `getModuloDist()` | returns distance in radians and in the range 0-PI.
  `double` | `getModuloDistDeg()` | returns distance in degrees and in the range 0-180.
  `java.lang.String` | `getName()` | returns phase name
  `int` | `getNumPathPoints()` |
  `int` | `getNumPiercePoints()` |
  `TimeDist[]` | `getPath()` | returns path points as TimeDist objects.
  `TimeDist` | `getPathPoint​(int i)` |
  `SeismicPhase` | `getPhase()` |
  `TimeDist[]` | `getPierce()` | returns pierce points as TimeDist objects.
  `TimeDist` | `getPiercePoint​(int i)` |
  `java.lang.String` | `getPuristName()` | returns purist's version of name.
  `double` | `getRayParam()` | returns ray parameter in seconds per radian
  `double` | `getRayParamDeg()` | returns ray parameter in seconds per deg
  `int` | `getRayParamIndex()` |
  `double` | `getSourceDepth()` | returns source depth in kilometers
  `double` | `getTakeoffAngle()` |
  `double` | `getTime()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TWOPI

    protected static final double TWOPI
    See Also:
      Constant Field Values

  - ### DtoR

    protected static final double DtoR
    See Also:
      Constant Field Values

  - ### RtoD

    protected static final double RtoD
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Arrival

    public Arrival​(SeismicPhase phase, double time, double dist, double rayParam, int rayParamIndex, java.lang.String name, java.lang.String puristName, double sourceDepth)

  - ### Arrival

    public Arrival​(SeismicPhase phase, double time, double dist, double rayParam, int rayParamIndex, java.lang.String name, java.lang.String puristName, double sourceDepth, double takeoffAngle, double incidentAngle)

- ## Method Details

  - ### getPhase

    public SeismicPhase getPhase()
    Returns:
      the phase used to calculate this arrival.

  - ### getTime

    public double getTime()
    Returns:
      travel time in seconds

  - ### getDuration

    public java.time.Duration getDuration()
    Returns:
      travel time as a Duration

  - ### getDist

    public double getDist()
    returns travel distance in radians

  - ### getDistDeg

    public double getDistDeg()
    returns travel distance in degrees.

  - ### getModuloDist

    public double getModuloDist()
    returns distance in radians and in the range 0-PI. Note this may not be the actual distance traveled.

  - ### getModuloDistDeg

    public double getModuloDistDeg()
    returns distance in degrees and in the range 0-180. Note this may not be the actual distance traveled.

  - ### getRayParam

    public double getRayParam()
    returns ray parameter in seconds per radian

  - ### getRayParamDeg

    public double getRayParamDeg()
    returns ray parameter in seconds per deg

  - ### getIncidentAngle

    public double getIncidentAngle()

  - ### getTakeoffAngle

    public double getTakeoffAngle()

  - ### getRayParamIndex

    public int getRayParamIndex()

  - ### getName

    public java.lang.String getName()
    returns phase name

  - ### getPuristName

    public java.lang.String getPuristName()
    returns purist's version of name. Depths are changed to reflect the true depth of the interface.

  - ### getSourceDepth

    public double getSourceDepth()
    returns source depth in kilometers

  - ### getPierce

    public TimeDist[] getPierce()
    returns pierce points as TimeDist objects.

  - ### getPath

    public TimeDist[] getPath()
    returns path points as TimeDist objects.

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getNumPiercePoints

    public int getNumPiercePoints()

  - ### getNumPathPoints

    public int getNumPathPoints()

  - ### getPiercePoint

    public TimeDist getPiercePoint​(int i)

  - ### getFirstPiercePoint

    public TimeDist getFirstPiercePoint​(double depth)
    finds the first pierce point at the given depth.
    Throws:
      `java.lang.ArrayIndexOutOfBoundsException` - if depth is not found

  - ### getLastPiercePoint

    public TimeDist getLastPiercePoint​(double depth)
    finds the last pierce point at the given depth.
    Throws:
      `java.lang.ArrayIndexOutOfBoundsException` - if depth is not found

  - ### getPathPoint

    public TimeDist getPathPoint​(int i)